import java.sql.SQLException;

public class Main {

	public static void main(String[] args) throws ClassNotFoundException, SQLException {
		
		// Datenbankverbindung
		Database db = new MySQLDB("localhost", "user", "password", "mydatabase");
		MyCache cache = new MyCache(db);
		
		// Daten ausgeben
		for (int id : cache.getIDs()) {
			System.out.println("ID:" + id + " -> Value:" + cache.getValue(id));
		}
		
		// Daten einfügen
		cache.insert(5, "Foo");
		cache.insert(7, "Bar");
		
		// Daten verändern
		cache.update(7, "FooBar");
		System.out.println("ID:5 -> Value:" + cache.getValue(5)); // Foo
		System.out.println("ID:7 -> Value:" + cache.getValue(7)); // FooBar
		
		// (Veränderte) Daten ausgeben
		for (int id : cache.getIDs()) {
			System.out.println("ID:" + id + " -> Value:" + cache.getValue(id));
		}
		
		// Daten löschen
		cache.delete(7);
		
	}

}
