import java.sql.DriverManager;
import java.sql.SQLException;


public class MySQLDB extends Database {
	
	private String host;
	private String username;
	private String password;
	private String db;
	
	/**
	 * Try to establish a connection.
	 * @param host the hostname of the mysql server
	 * @param username the username for the mysql server
	 * @param password the password for the mysql server
	 * @param db the database to use
	 * @throws ClassNotFoundException if the MySQL driver class is not available
	 * @throws SQLException if the connection of any prepared statement fail
	 */
	public MySQLDB(String host, String username, String password, String db)
			throws ClassNotFoundException, SQLException {
		this.host = host;
		this.username = username;
		this.password = password;
		this.db = db;
		connect();
	}
	
	@Override
	public void connect() throws ClassNotFoundException, SQLException {
		Class.forName("com.mysql.jdbc.Driver"); // load driver
		String connectionstr = "jdbc:mysql://" + host + "/" + db + "?characterEncoding=utf8";
        this.conn = DriverManager.getConnection(connectionstr, username, password);
        super.initStatements();
	}
	
	@Override
	public void destroy() throws SQLException {
		this.conn.close();
		this.conn = null;
		DriverManager.deregisterDriver(DriverManager.getDriver("jdbc:mysql://"));
	}

}
